Skip to main content
GET
/
v2
/
security
/
redteam
/
runs
/
{run_id}
Get Redteam Run
curl --request GET \
  --url https://api.valiqor.com/v2/security/redteam/runs/{run_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "code": "<string>",
  "status": "<string>",
  "total_attacks": 123,
  "successful_attacks": 123,
  "success_rate": 123,
  "distinct_vulns_count": 123,
  "top_vulnerability": "<string>",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Valiqor API key. Pass as Bearer token: Authorization: Bearer vq-xxxxxxxxxxxxxxxxxxxx

Path Parameters

run_id
string
required

Response

Successful Response

Red team run information

id
string
required
project_id
string
required
name
string
required
code
string | null
required
status
string
required
total_attacks
integer
required
successful_attacks
integer
required
success_rate
number | null
required
distinct_vulns_count
integer
required
top_vulnerability
string | null
required
started_at
string<date-time>
required
finished_at
string<date-time> | null
required